Delete a deployed automation
curl --request DELETE \
--url https://api.arg.ai/api/automation/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>",
"file_path": "<string>"
}
'import requests
url = "https://api.arg.ai/api/automation/deployments"
payload = {
"workspace_id": "<string>",
"file_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace_id: '<string>', file_path: '<string>'})
};
fetch('https://api.arg.ai/api/automation/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Automations
Delete a deployed automation
Remove the automation’s registered triggers. The file itself is left alone.
DELETE
/
api
/
automation
/
deployments
Delete a deployed automation
curl --request DELETE \
--url https://api.arg.ai/api/automation/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>",
"file_path": "<string>"
}
'import requests
url = "https://api.arg.ai/api/automation/deployments"
payload = {
"workspace_id": "<string>",
"file_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace_id: '<string>', file_path: '<string>'})
};
fetch('https://api.arg.ai/api/automation/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
The response is of type object.